<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);

	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	$fecha_ingreso=date('d/m/y - h:i:s A');
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE BANCO CLIENTE');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();

$fecha_actualxls=$_GET['fecha_cliente'];
$html1 ='
	<h1>AMANACU</h1><br>
	<b>REPORTE DETALLADO DE BANCO POR CLIENTE: </b>  <br>FECHA SELECCIONADA: '.$fecha_actualxls.'<br>IMPRESO: '.$fecha_ingreso.'
';
$consultar_sql_anticipo=mysql_query("select * from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and tipo_banco!='16'  GROUP BY cod_cliente ",$link);
while($ver_consultar_sql_anticipo=mysql_fetch_array($consultar_sql_anticipo)){
	$cod_cliente=$ver_consultar_sql_anticipo['cod_cliente'];
	$consultar_cliente=mysql_query("select * from  tabla_clintes_xls where id='$cod_cliente' ",$link);
	$ver_consultar_cliente=mysql_fetch_array($consultar_cliente);

	$id_anticipo=$ver_consultar_sql_anticipo['id'];
	
	$consultar_sql_anticipox1=mysql_query("select * from  tabla_anticipo_xls where cod_cliente='$cod_cliente' and fecha_registro='$fecha_actualxls' and  eliminar='0' and tipo_banco!='16' ",$link);
	$ver_consultar_sql_anticipox=mysql_num_rows($consultar_sql_anticipox1);
	
$j++;
$html4[]='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br><b>CLIENTE: </b> '.$ver_consultar_cliente['rif'].' - '.$ver_consultar_cliente['descripcion'].'  <b>TOTAL DE TRANSACCIONES:</b> [ '.$ver_consultar_sql_anticipox.' ]
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  <br>
  <table border="0" WIDTH="100%">
	<tr style="background-color:#c5c4c4;" >
		<td WIDTH="10%">FECHA</td>
		<td WIDTH="15%">REFRENCIA</td>
		<td WIDTH="20%">BANCO</td>
		<td WIDTH="20%">TRANSACCION	</td>
		<td WIDTH="10%" style="text-align:right;">MONTO BS</td>
		<td WIDTH="10%" style="text-align:right;">TASA</td>
		<td WIDTH="15%" style="text-align:right;">MONTO $</td>
	</tr>
 </table>
';

$consultar_sql_ver_sumax23=mysql_query("select * from  tabla_anticipo_xls where cod_cliente='$cod_cliente' and fecha_registro='$fecha_actualxls' and  eliminar='0' and tipo_banco!='16'",$link);
while($ver_consultar_sql_ver_sumax22=mysql_fetch_array($consultar_sql_ver_sumax23)){
	$suma_bolivares=$ver_consultar_sql_ver_sumax22['monto_trans'];
	$suma_dolares=$ver_consultar_sql_ver_sumax22['monto_dolar'];
		$tipo_banco=$ver_consultar_sql_ver_sumax22['tipo_banco'];
		$consultar_sql_ver=mysql_query("select * from  tabla_banco_xls where id='$tipo_banco'",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver); 
		$banco_tipo=$ver_consultar_sql_ver['descripcion']; 
$j++;
$html4[]='
	<table  border="0" WIDTH="100%">
	  <tr>
		<td WIDTH="10%">'.$ver_consultar_sql_ver_sumax22['facha_deposito'].'</td>
		<td WIDTH="15%">'.$ver_consultar_sql_ver_sumax22['referencia_bancaria'].'</td>
		<td WIDTH="20%">'.$ver_consultar_sql_ver['nombre'].'</td>
		<td WIDTH="20%">'.$banco_tipo.'</td>
		<td WIDTH="10%" style="text-align:right;">'.number_format($suma_bolivares, 2, ',','.').'</td>
		<td WIDTH="10%" style="text-align:right;">'.$ver_consultar_sql_ver_sumax22['tasa_dolar'].'</td>
		<td WIDTH="15%" style="text-align:right;">'.number_format($suma_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}

$total_anticipo=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' and cod_cliente='$cod_cliente' ",$link);
$ver_total_anticipo=mysql_fetch_array($total_anticipo);
$total_bolivares=$ver_total_anticipo['SUM(monto_trans)'];
$total_dolares=$ver_total_anticipo['SUM(monto_dolar)'];
$j++;
$html4[]='
	<table style="background-color:#f9f9f9;" border="0" WIDTH="100%">
	  <tr>
		<td><b>TOTAL EN BS: </b>'.number_format($total_bolivares, 2, ',','.').'</td>
		<td><b>TOTAL EN $:</b> '.number_format($total_dolares, 2, ',','.').'</td>
	  </tr> 
	</table>
	 '; 
}
	$consultar_sql_ver_suma=mysql_query("select SUM(monto_trans),SUM(monto_dolar),eliminar,fecha_registro,id from  tabla_anticipo_xls where eliminar='0' and fecha_registro='$fecha_actualxls' ORDER BY id DESC ",$link);
	$ver_consultar_sql_ver_sumax1=mysql_fetch_array($consultar_sql_ver_suma);
$html5='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
 <br>
	<b> TOTAL EN BOLIVARES: '.number_format($ver_consultar_sql_ver_sumax1['SUM(monto_trans)'], 2, ',','.').'  TOTAL EN $: '.number_format($ver_consultar_sql_ver_sumax1['SUM(monto_dolar)'], 2, ',','.').'</b>
';
// Estilo 
$pdf->SetFont('times', '', 8);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
for($z=0;$z<=$j;$z++){
		$pdf->writeHTML($html4[$z], true, 0, true, true);
		$pdf->Ln();
	}
$pdf->Ln();
$pdf->writeHTML($html5, true, 0, true, true);
$pdf->Ln(5);
$pdf->write1DBarcode(''.$fecha_actualxls.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('REPORTE_BANCO_CLIENTE'.$fecha_actualxls.'.pdf', 'I');
?>